Subject: --fallback doesn't do anything when 'connect*' fails

From: Maxime Devos <[email-masked]>
Date: Fri, 18 Jun 2021 16:22:24 +0200

tags: + substituter

Hi,

Version:

$ /run/current-system/profile/bin/guix-daemon --version
guix-daemon (GNU Guix) 1.3.0-2.9f2b2c4

$ guix --version
guix (GNU Guix) e3d67b71cb0ccd5ad5563ebaffe6adc6c96c0c7c

Command:

$ guix system -L . reconfigure [...].scm  --fallback
[...]
substitute: lijst van substitutes van ‘[...].local:8080’ aan het bijwerken... 100.0%
substitute: lijst van substitutes van ‘https://ci.guix.gnu.org’ aan het bijwerken...   0.0%guix substitute: warning: ci.guix.gnu.org: connection failed: Verbinding is verlopen
substitute: 
substitute: lijst van substitutes van ‘[...].gr’ aan het bijwerken...   0.0%guix substitute: warning: guix.tobias.gr: connection failed: Netwerk is onbereikbaar
substitute: 
16,4 MB zal binnengehaald worden
substitute: lijst van substitutes van ‘[...]:8080’ aan het bijwerken...   0.0%
[8 repetitions of the line above]
guix substitute: warning: [...].local: host not found: Naam of dienst is niet bekend
guix substitute: warning: tijdens het binnenhalen van https://ci.guix.gnu.org/nar/lzip/r8a9kzhhx89rmmkz66i3324acgliqdwa-gdm-3.34.1: de server is een beetje traag
guix substitute: warning: probeer ‘--no-substitutes’ als het probleem hardnekkig is
guix substitute: error: connect*: Verbinding is verlopen
vervanging van /gnu/store/r8a9kzhhx89rmmkz66i3324acgliqdwa-gdm-3.34.1 mislukt
guix system: error: beschadigde invoer tijdens het terugplaatsen van het archief uit #<closed: file 7f0d323528c0>

What I would expect:

As I specified the --fallback option, I would expect guix to start
building from source, as the substitution failed.